unit ApeUtils;

// The contents of this file are subject to the Mozilla Public License Version
// 1.1 (the "License"); you may not use this file except in compliance with 
// the License. You may obtain a copy of the License at 
// "http://www.mozilla.org/MPL/"
// 
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
// 
// The Original Code is "ApeUtils.pas".
// 
// The Initial Developer of the Original Code is Dieter Khler (Heidelberg, 
// Germany, "http://www.philo.de/").
// Portions created by the Initial Developer are Copyright (C) 2002
// Dieter Khler. All Rights Reserved.
// 
// Alternatively, the contents of this file may be used under the terms of
// the GNU General Public License Version 2 or later (the "GPL"), in which 
// case the provisions of the GPL are applicable instead of those above. 
// If you wish to allow use of your version of this file only under the 
// terms of the GPL, and not to allow others to use your version of this 
// file under the terms of the MPL, indicate your decision by deleting the 
// provisions above and replace them with the notice and other provisions 
// required by the GPL. If you do not delete the provisions above, a 
// recipient may use your version of this file under the terms of any one 
// of the MPL or the GPL.

interface

uses
  XDOM_2_4;

resourcestring
  SInvalidURISchemeError = ' Invalid URI scheme.';
  SInvalidURLError       = ' Invalid URL.';
  SLoadingCanceledError  = ' Loading Canceled.';
  SNetworkError          = ' A network error occured.';
  SProcessingError       = ' An error occured while processing the file.';
  SSaveChanges           = 'Save changes of %s?';
  SSaveWhatDefault       = 'the new document';
  STimeOutError          = ' Operation timed out.';

  SMemoryCacheSizeError  = 'The memory cache size must be an integer of at least the value %d.';

const
  xmlns_ape:   wideString  = 'http://www.philo.de/ape/test-001';
  xmlns_dc:    wideString  = 'http://purl.org/dc/elements/1.0/';
  xmlns_dcq:   wideString  = 'http://purl.org/dc/qualifiers/1.0/';
  xmlns_xhtml: wideString  = 'http://www.w3.org/1999/xhtml';
  xmlns_xml:   wideString  = 'http://www.w3.org/XML/1998/namespace';
  xmlns_xmlns: wideString  = 'http://www.w3.org/2000/xmlns/';
  xmlns_xlink: wideString  = 'http://www.w3.org/1999/xlink';

  //Profile defaults:
  DEFAULT_FONT_NAME: string = 'MS Sans Serif';
  MEMORY_CACHE_SIZE_MIN: integer = 3000;

type
  TApeNotifyElementEvent = procedure(Sender: TObject; Element: TdomElement) of object;
  TApeNotifyIndexEvent = procedure(Sender: TObject; Index: integer) of object;

  TApeDisplayPriorityList = class(TdomWideStringList);

  TApeLanguagePriorityList = class(TdomWideStringList);

implementation

end.
